# Uses of Class
org.apache.datasketches.fdt.Group

Packages that use Group
Package
Description
org.apache.datasketches.fdt
Frequent Distinct Tuples Sketch

## Uses of Group in org.apache.datasketches.fdt

Methods in org.apache.datasketches.fdt that return Group
Modifier and Type
Method
Description
`Group`
Group.`init(String priKey, int count, double estimate, double ub, double lb, double fraction, double rse)`
Specifies the parameters to be listed as columns
Methods in org.apache.datasketches.fdt that return types with arguments of type Group
Modifier and Type
Method
Description
`List<Group>`
PostProcessor.`getGroupList(int[] priKeyIndices, int numStdDev, int limit)`
Return the most frequent Groups associated with Primary Keys based on the size of the groups.
`List<Group>`
FdtSketch.`getResult(int[] priKeyIndices, int limit, int numStdDev, char sep)`
Returns an ordered List of Groups of the most frequent distinct population of subset tuples represented by the count of entries of each group.
Methods in org.apache.datasketches.fdt with parameters of type Group
Modifier and Type
Method
Description
`int`
Group.`compareTo(Group that)`
`PostProcessor`
FdtSketch.`getPostProcessor(Group group, char sep)`
Returns the PostProcessor that enables multiple queries against the sketch results.
Constructors in org.apache.datasketches.fdt with parameters of type Group
Modifier
Constructor
Description
``
`PostProcessor(FdtSketch sketch, Group group, char sep)`
Construct with a populated FdtSketch